Bug 1161686 - OVS tunnel reports error during boot
Summary: OVS tunnel reports error during boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvswitch
Version: 20
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Flavio Leitner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1161286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 16:11 UTC by Flavio Leitner
Modified: 2014-11-27 08:38 UTC (History)
6 users (show)

Fixed In Version: openvswitch-2.3.0-3.git20141107.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1161286
Environment:
Last Closed: 2014-11-27 08:38:50 UTC


Attachments (Terms of Use)

Description Flavio Leitner 2014-11-07 16:11:18 UTC
+++ This bug was initially created as a clone of Bug #1161286 +++

Description of problem:

Running ifup gre0 causes the network initscript to go into 'fail' state
because the ifup-ovs calls ifup-eth but the gre0 interface is not visible
to the OS.

# cat /etc/sysconfig/network-scripts/ifcfg-gre0 
DEVICE=gre0
ONBOOT=yes
DEVICETYPE=ovs
TYPE=OVSTunnel
OVS_BRIDGE=ovsbr0
OVS_TUNNEL_TYPE=gre
OVS_TUNNEL_OPTIONS="options:remote_ip=192.168.0.3"


Version-Release number of selected component (if applicable):
Upstream, 2.3.90

How reproducible:
Always

Steps to Reproduce:
1. Configure the OVS bridge
2. Configure the gre0 interface as described above
3. Reboot the system
4. Check network service status

Actual results:
The service goes into 'fail' state

Expected results:
The service works on both ifup and ifdown.

Additional info:
The patch fixing the issue has been posted upstream:
http://openvswitch.org/pipermail/dev/2014-November/048346.html

--- Additional comment from Flavio Leitner on 2014-11-06 18:44:55 EST ---

Patch was accepted upstream:
https://github.com/openvswitch/ovs/commit/059def1e2fa50223bee7dd04d4075d72bc5845a2

Comment 1 Fedora Update System 2014-11-07 16:53:32 UTC
openvswitch-2.3.0-3.git20141107.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openvswitch-2.3.0-3.git20141107.fc20

Comment 2 Fedora Update System 2014-11-10 06:47:15 UTC
Package openvswitch-2.3.0-3.git20141107.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openvswitch-2.3.0-3.git20141107.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14655/openvswitch-2.3.0-3.git20141107.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-27 08:38:50 UTC
openvswitch-2.3.0-3.git20141107.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.